Skip to content

Get calibration metrics

GET
/api/v1/tuning/calibration/{agent_role}
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/tuning/calibration/example?window_days=30' \
--header 'X-API-Key: <X-API-Key>'

Compute quality gate calibration metrics.

agent_role
required
Agent Role
string
window_days
Window Days
integer
default: 30 >= 1 <= 365

Successful Response

Media typeapplication/json
QualityCalibrationResult

Result of quality gate calibration analysis for one agent.

object
agent_role
required
Agent Role
string
f1_score
required
F1 Score
number
false_negatives
required
False Negatives
integer
false_positives
required
False Positives
integer
precision
required
Precision
number
recall
required
Recall
number
tenant_id
required
Tenant Id
string
threshold_recommendations
required
Threshold Recommendations
object
key
additional properties
any
total_records
required
Total Records
integer
window_days
required
Window Days
integer
Examplegenerated
{
"agent_role": "example",
"f1_score": 1,
"false_negatives": 1,
"false_positives": 1,
"precision": 1,
"recall": 1,
"tenant_id": "example",
"threshold_recommendations": {},
"total_records": 1,
"window_days": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}